﻿Imports System.Windows.Forms.Control
Public Class JanobeMenus
    Inherits System.Windows.Forms.Panel

    Enum RestrictionsValue
        Active
        Normal
    End Enum

    Private _Fntsize As Integer = 8.5
    Private _Min_H As Integer = 26
    Private _Max_H As Integer = 50
    Private _HeaderText As String = "Menu"
    Private _HeaderName As String = "Menu"
    Private _ForeColor As Color
    Private _BackColor As Color
    Private _AForeColor As Color
    Private _ABackColor As Color
    Private _HoveColor As Color
    Private _Plus As String = "+"
    Private _Minus As String = "- "
    Private _ChooseRestriction As RestrictionsValue

    Property ChooseRestriction() As RestrictionsValue
        Get
            Return _ChooseRestriction
        End Get
        Set(ByVal value As RestrictionsValue)
            _ChooseRestriction = value
        End Set
    End Property


    Property jFntsize() As Integer
        Get
            Return _Fntsize
        End Get
        Set(ByVal value As Integer)
            _Fntsize = value
        End Set
    End Property
    Property jHoverColor() As Color
        Get
            Return _HoveColor
        End Get
        Set(ByVal value As Color)
            _HoveColor = value
        End Set
    End Property
    Property jDBgColor() As Color
        Get
            Return _BackColor
        End Get
        Set(ByVal value As Color)
            _BackColor = value
        End Set
    End Property
    Property jDFColor() As Color
        Get
            Return _ForeColor
        End Get
        Set(ByVal value As Color)
            _ForeColor = value
        End Set
    End Property


    Property jABgColor() As Color
        Get
            Return _ABackColor
        End Get
        Set(ByVal value As Color)
            _ABackColor = value
        End Set
    End Property
    Property jAFColor() As Color
        Get
            Return _AForeColor
        End Get
        Set(ByVal value As Color)
            _AForeColor = value
        End Set
    End Property
    Property jHeaderName() As String
        Get
            Return _HeaderName
        End Get
        Set(ByVal value As String)
            _HeaderName = value
        End Set
    End Property
    Property jHeaderText() As String
        Get
            Return _HeaderText
        End Get
        Set(ByVal value As String)
            _HeaderText = value
        End Set
    End Property
    Property jMaxHeight() As Integer
        Get
            Return _Max_H
        End Get
        Set(ByVal value As Integer)
            _Max_H = value
        End Set
    End Property

    Property jMinHeight() As Integer
        Get
            Return _Min_H
        End Get
        Set(ByVal value As Integer)
            _Min_H = value
        End Set
    End Property
#Region "Process"
    'Private Sub jChooseDisplay()
    '    MyBase.Controls.Add(janobeLabelProperties)
    '    With janobeLabelProperties()
    '        Select Case _ChooseRestriction
    '            Case 0
    '                MyBase.Height = jMaxHeight

    '                jFColor = Color.Wheat
    '                jBgColor = Color.Gray
    '                .Text = _Minus & jHeaderText
    '                .ForeColor = jFColor
    '                .BackColor = jBgColor

    '            Case 1
    '                MyBase.Height = jMinHeight
    '                jFColor = Color.White
    '                jBgColor = Color.Black
    '                .Text = _Plus & jHeaderText
    '                .ForeColor = jFColor
    '                .BackColor = jBgColor
    '        End Select
    '    End With

    'End Sub

#End Region
#Region "Events"
   
    Private Sub jMouseHover(ByVal sender As Object, ByVal e As EventArgs)
        If TypeOf sender Is Label Then
            With sender
                Select Case MyBase.Height
                    Case jMinHeight
                       
                        .Text = _Plus & jHeaderText
                        '.ForeColor = jDFColorh
                        .BackColor = jHoverColor
                        ' MyBase.Height = jMaxHeight
                    Case jMaxHeight
                        .Text = _Minus & jHeaderText
                        .BackColor = jHoverColor
                End Select
            End With
        End If

    End Sub
    Private Sub jMouseLeave(ByVal sender As Object, ByVal e As EventArgs)
        If TypeOf sender Is Label Then
            With sender
                Select Case MyBase.Height
                    Case jMinHeight
                        
                        .Text = _Plus & jHeaderText
                        '.ForeColor = jDFColor
                        .BackColor = jABgColor
                        MyBase.Height = jMinHeight
                    Case jMaxHeight
                        .Text = _Minus & jHeaderText
                        .BackColor = jABgColor
                End Select

            End With
        End If
    End Sub
    Private Sub jExpandEvents(ByVal sender As Object, ByVal e As EventArgs)
        Try
            If TypeOf sender Is Label Then

                With sender
                    Select Case MyBase.Height
                        Case jMinHeight
                            MyBase.Height = jMaxHeight
                            
                            .Text = _Minus & jHeaderText
                            .ForeColor = jDFColor
                            .BackColor = jDBgColor


                        Case jMaxHeight
                            MyBase.Height = jMinHeight
                         
                            .Text = _Plus & jHeaderText
                            .ForeColor = jAFColor
                            .BackColor = jABgColor

                    End Select
                End With
            End If
        Catch ex As Exception
            MsgBox(ex.Message & " jExpandEvents()")
        End Try

    End Sub
#End Region


    Function janobeAddHeader() As Boolean
        Try
            MyBase.Controls.Add(janobeLabelProperties)
 
        Catch ex As Exception
            MsgBox(ex.Message & " janobeAddHeader()")
        End Try
    End Function

    Private Function janobeLabelProperties() As Label

        janobeLabelProperties = New Label

        With janobeLabelProperties

            Select Case _ChooseRestriction
                Case 0

                    .ForeColor = jDFColor
                    .BackColor = jDBgColor
                    .Text = _Minus & jHeaderText
                    MyBase.Height = jMaxHeight
                Case 1
                    .ForeColor = jAFColor
                    .BackColor = jABgColor 
                    .Text = _Plus & jHeaderText
                    MyBase.Height = jMinHeight
            End Select

            .Name = jHeaderName
            ' .Text = _Plus + jHeaderText
            .Height = jMinHeight
            .AutoSize = False
            .Dock = DockStyle.Top
            .TextAlign = ContentAlignment.MiddleLeft
            .BringToFront()
            .Font = New Font("arial", jFntsize, FontStyle.Bold)
        End With

        ' MyBase.Height = jMinHeight

        AddHandler janobeLabelProperties.Click, AddressOf jExpandEvents
        AddHandler janobeLabelProperties.MouseHover, AddressOf jMouseHover
        AddHandler janobeLabelProperties.MouseLeave, AddressOf jMouseLeave

        Return janobeLabelProperties

    End Function



End Class
