﻿Public Class FRMTRANSEDIT

    Private Sub TXTQTY_KeyPress(ByVal sender As Object, ByVal e As System.Windows.Forms.KeyPressEventArgs) Handles TXTQTY.KeyPress
        Try

            If e.KeyChar <> ChrW(Keys.Back) Then
                e.Handled = True
                If e.KeyChar <> "." Then
                    If IsNumeric(e.KeyChar) Then
                        e.Handled = False '

                    End If

                ElseIf TXTQTY.Text.Contains(".") Then
                    MessageBox.Show("Only one decimal point allowed")
                Else
                    e.Handled = False
                End If
            End If

        Catch ex As Exception
            logs(ex.Message & " at TXTQTY_KeyPress")
            MsgBox(ex.Message & " at TXTQTY_KeyPress")
        End Try
    End Sub


    Private Sub TXTQTY_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles TXTQTY.TextChanged
        Try
            If TXTQTY.Text = "" Then
                LBLPRICE.Text = 0

            Else
                 
                LBLPRICE.Text = Double.Parse(LBLUNITPRICE.Text) * TXTQTY.Text
            End If

        Catch ex As Exception

        End Try
    End Sub

    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles BTNSAVE.Click


        'CHECKING IF HAS AN INPUT QUANTITY
        If TXTQTY.Text <> "" And Val(LBLPRICE.Text) > 0 Then

            Select Case Me.Text
                Case "STOCK-IN"
                    '''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
                    'STOCK IN TABLE
                    'THIS RETRIEVE QUERY IS USED TO CHECK IF THE TRANSACTION NUMBER HAS ALREADY EXIST,
                    ' IF EXIST, UPDATE THE TRANSACTION TABLE AND ADD A QUANTITY TO THE STOCKS
                    checkQuery = "SELECT TRANSQTY FROM tblStockIn WHERE TRANSNUM=" & TXTTRANSNUM.Text
                    RETRIEVESIGLE(checkQuery)

                    If dt.Rows.Count > 0 Then 'THIS PROCESS IS TO UPDATE THE STOCKIN TABLE
                        'RESULT:

                        'FIRST, YOU HAVE TO DECREASE THE QUANTITY OF THE STOCKS SO THAT IT WILL RETURN TO ITS ORIGINAL QUANTITY 
                        updateQuery = "UPDATE tblItems SET ITEMQTY = ITEMQTY -" & dt.Rows(0).Item(0) & " WHERE  ITEMID =" & LBLITEMID.Text
                        JANOBEUPDATE(updateQuery)

                        'SECOND, YOU HAVE TO ADD THE QUANTITY OF THE STOCKS 
                        updateQuery = "UPDATE tblItems SET ITEMQTY = ITEMQTY + " & TXTQTY.Text & " WHERE  ITEMID =" & LBLITEMID.Text
                        JANOBEUPDATE(updateQuery)


                        updateQuery = "UPDATE tblStockIn  SET TRANSQTY =" & TXTQTY.Text & ", TOTPRICE=" & LBLPRICE.Text & ",TRANSDATE='" & DTPTRANSTDATE.Value & "' WHERE  TRANSNUM =" & TXTTRANSNUM.Text
                        JANOBEUPDATE(updateQuery)

                        With LBLMSG
                            .Text = "Transaction has been updated."
                            .BackColor = Color.Cyan
                            .ForeColor = Color.Black
                        End With


                    End If
            End Select



        Else
            'ERROR MSG
            With LBLMSG
                .Text = "Put the correct quantity in order to saved."
                .BackColor = Color.Red
                .ForeColor = Color.White
            End With
        End If




    End Sub

    Private Sub FRMTRANSEDIT_FormClosing(ByVal sender As Object, ByVal e As System.Windows.Forms.FormClosingEventArgs) Handles Me.FormClosing
        'REFRESH THE DATA IN THE DATAGRIDVIEW
        'query = "SELECT P.PROID, TRANSNUM AS [Transaction#], (PRONAME & ' ' & PRODESC) AS [Product],('Size: ' & PROSIZE & ' Net/Vol WT.: ' & PRONETWT & ' Price: ' & PROPRICE & ' ' & CATEGORIES) AS [Description],DATERECEIVED AS [TransactionDate],(RECEIVEDQTY & RECEIVEDUNIT) AS [Quantity], RECEIVEDTOTPRICE AS [TotalPrice]  FROM tblStockIn as S, tblProductInfo AS P, tblCategory AS C WHERE S.PROID=P.PROID AND P.CATEGPROID=C.CATEGPROID "
        'RETRIEVEDATA(query, FRMSTOREITEM.DTGLIST)


        List_of_Stocks(FRMSTOREITEM.DTGLIST)

        Select Case Me.Text
            Case "STOCK-IN"
                FRMSTOREITEM.Focus()
            Case "STOCK-OUT"
                'frmStockOut.Focus()
            Case "RETURN"
                'FRMRETURNEDITEMS.Focus()
        End Select
    End Sub

    Private Sub FRMTRANSEDIT_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load

        LBLMSG.Text = ""
        frmMaxMinSize(Me, 714, 568)
    End Sub

    Private Sub Button2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button2.Click
        Me.Close()
    End Sub
End Class